module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={
			args={action_name=[[attack1]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0,
		},
		[2]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[3]={
			args={
				alive_time=2,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_306/Prefabs/306_attack1.prefab]],
					preload=true,
				},
				excutor=[[atkobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=0,
		},
		[4]={args={},func_name=[[MagcAnimStart]],start_time=0.33,},
		[5]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=0.75,
		},
		[6]={
			args={
				alive_time=1.3,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_306/Prefabs/306_hit1.prefab]],
					preload=true,
				},
				excutor=[[vicobjs]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=0.75,
		},
		[7]={
			args={
				alive_time=0.1,
				ease_hide_time=0.2,
				ease_show_time=0,
				excutor=[[vicobjs]],
				mat_path=[[Material/effect_Fresnel_yellow01.mat]],
			},
			func_name=[[ActorMaterial]],
			start_time=0.8,
		},
		[8]={args={},func_name=[[MagcAnimEnd]],start_time=1,},
		[9]={args={},func_name=[[End]],start_time=1.9,},
	},
	group_cmds={},
	magic_anim_end_time=1,
	magic_anim_start_time=0.33,
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_306/Prefabs/306_attack1.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_306/Prefabs/306_hit1.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
